Skip to main content
GET
/
subscriptions
/
{id}
cURL
curl --request GET \
  --url https://development.knotapi.com/subscriptions/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "13da3c28-a068-4642-9ce2-b730cfda5f5f",
  "external_id": "a9x7bq2lmw5p",
  "name": "Disney+, Hulu Bundle Premium",
  "description": "Ad-free streaming with Disney+ and Hulu",
  "merchant": {
    "id": 18,
    "name": "Hulu"
  },
  "status": "ACTIVE",
  "billing_cycle": "MONTHLY",
  "next_billing_date": "2026-02-10T00:00:00+00:00",
  "last_billing_date": "2026-01-10T00:00:00+00:00",
  "start_date": "2025-06-15T00:00:00+00:00",
  "next_renewal_date": "2026-06-15T00:00:00+00:00",
  "expiration_date": null,
  "cancel_instructions": "You can cancel your subscription at any time from your account settings. Your cancellation will take effect at the end of your current billing period. You'll continue to have access until May 30, 2026. You will not be charged again unless you restart your subscription.",
  "is_paid": true,
  "is_family_plan": false,
  "price": {
    "total": "11.99",
    "currency": "USD"
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password. Use your client_id as the username and your secret as the password value.

Path Parameters

id
string
required

Unique identifier for a subscription.

Example:

"13da3c28-a068-4642-9ce2-b730cfda5f5f"

Response

Successful request.

id
string

Unique identifier for the subscription.

Example:

"13da3c28-a068-4642-9ce2-b730cfda5f5f"

external_id
string

External identifier for the subscription provided by the merchant.

Example:

"a9x7bq2lmw5p"

name
string

Human-readable subscription name as displayed by the merchant.

Example:

"Disney+, Hulu Bundle Premium"

description
string | null

Description of the subscription plan.

Example:

"Ad-free streaming with Disney+ and Hulu"

merchant
object
status

Billing and access ongoing.

Allowed value: "ACTIVE"
Example:

"ACTIVE"

billing_cycle
enum<string>

Billing cycle of the subscription.

Available options:
MONTHLY,
WEEKLY,
BIWEEKLY,
ANNUALLY,
DAILY,
UNRECOGNIZED
Example:

"MONTHLY"

next_billing_date
string<date-time> | null

Timestamp of the next scheduled charge date in UTC. ISO 8601 format.

Example:

"2026-02-10T00:00:00+00:00"

last_billing_date
string<date-time> | null

Timestamp of the most recent attempted charge date in UTC. ISO 8601 format.

Example:

"2026-01-10T00:00:00+00:00"

start_date
string<date-time> | null

Timestamp of the start date for the subscription in UTC. ISO 8601 format.

Example:

"2025-06-15T00:00:00+00:00"

next_renewal_date
string<date-time> | null

Timestamp of the next renewal date for the subscription in UTC. ISO 8601 format.

Example:

"2026-02-10T00:00:00+00:00"

expiration_date
string<date-time> | null

Timestamp of the loss of access to the subscription due to cancellation or other means in UTC. ISO 8601 format.

Example:

null

cancel_instructions
string | null

Instructions for cancelling the subscription, if available.

Example:

"You can cancel your subscription at any time from your account settings. Your cancellation will take effect at the end of your current billing period. You'll continue to have access until May 30, 2026. You will not be charged again unless you restart your subscription."

is_paid
boolean | null

Whether the subscription is a paid plan or free.

Example:

true

is_family_plan
boolean | null

Whether the subscription is a family plan.

Example:

false

price
object